OpenCV: cv::videostab::InpainterBase Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::videostab::InpainterBase Class Referenceabstract
Video Stabilization

`#include "inpainting.hpp"`

Inheritance diagram for cv::videostab::InpainterBase:

## Public Member Functions
| InpainterBase ()
virtual | ~InpainterBase ()
virtual const std::vector< Mat > & | frames () const
virtual void | inpaint (int idx, Mat &frame, Mat &mask)=0
virtual MotionModel | motionModel () const
virtual const std::vector< Mat > & | motions () const
virtual int | radius () const
virtual void | setFrames (const std::vector< Mat > &val)
virtual void | setMotionModel (MotionModel val)
virtual void | setMotions (const std::vector< Mat > &val)
virtual void | setRadius (int val)
virtual void | setStabilizationMotions (const std::vector< Mat > &val)
virtual void | setStabilizedFrames (const std::vector< Mat > &val)
virtual const std::vector< Mat > & | stabilizationMotions () const
virtual const std::vector< Mat > & | stabilizedFrames () const

## Protected Attributes
const std::vector< Mat > * | frames_
MotionModel | motionModel_
const std::vector< Mat > * | motions_
int | radius_
const std::vector< Mat > * | stabilizationMotions_
const std::vector< Mat > * | stabilizedFrames_

## Constructor & Destructor Documentation

## ◆ InpainterBase()

cv::videostab::InpainterBase::InpainterBase | ( |  | ) |
| inline

## ◆ ~InpainterBase()

virtual cv::videostab::InpainterBase::~InpainterBase | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ frames()

virtual const std::vector<Mat>& cv::videostab::InpainterBase::frames | ( |  | ) | const
| inlinevirtual

## ◆ inpaint()

virtual void cv::videostab::InpainterBase::inpaint | ( | int | idx,
|  | Mat & | frame,
|  | Mat & | mask
| ) |  |
| pure virtual

Implemented in cv::videostab::ColorInpainter, cv::videostab::ColorAverageInpainter, cv::videostab::MotionInpainter, cv::videostab::ConsistentMosaicInpainter, cv::videostab::InpaintingPipeline, and cv::videostab::NullInpainter.

## ◆ motionModel()

virtual MotionModel cv::videostab::InpainterBase::motionModel | ( |  | ) | const
| inlinevirtual

## ◆ motions()

virtual const std::vector<Mat>& cv::videostab::InpainterBase::motions | ( |  | ) | const
| inlinevirtual

## ◆ radius()

virtual int cv::videostab::InpainterBase::radius | ( |  | ) | const
| inlinevirtual

## ◆ setFrames()

virtual void cv::videostab::InpainterBase::setFrames | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::InpaintingPipeline.

## ◆ setMotionModel()

virtual void cv::videostab::InpainterBase::setMotionModel | ( | MotionModel | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::InpaintingPipeline.

## ◆ setMotions()

virtual void cv::videostab::InpainterBase::setMotions | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::InpaintingPipeline.

## ◆ setRadius()

virtual void cv::videostab::InpainterBase::setRadius | ( | int | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::InpaintingPipeline.

## ◆ setStabilizationMotions()

virtual void cv::videostab::InpainterBase::setStabilizationMotions | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::InpaintingPipeline.

## ◆ setStabilizedFrames()

virtual void cv::videostab::InpainterBase::setStabilizedFrames | ( | const std::vector< Mat > & | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::InpaintingPipeline.

## ◆ stabilizationMotions()

virtual const std::vector<Mat>& cv::videostab::InpainterBase::stabilizationMotions | ( |  | ) | const
| inlinevirtual

## ◆ stabilizedFrames()

virtual const std::vector<Mat>& cv::videostab::InpainterBase::stabilizedFrames | ( |  | ) | const
| inlinevirtual

## Member Data Documentation

## ◆ frames_

const std::vector<Mat>* cv::videostab::InpainterBase::frames_
| protected

## ◆ motionModel_

MotionModel cv::videostab::InpainterBase::motionModel_
| protected

## ◆ motions_

const std::vector<Mat>* cv::videostab::InpainterBase::motions_
| protected

## ◆ radius_

int cv::videostab::InpainterBase::radius_
| protected

## ◆ stabilizationMotions_

const std::vector<Mat>* cv::videostab::InpainterBase::stabilizationMotions_
| protected

## ◆ stabilizedFrames_

const std::vector<Mat>* cv::videostab::InpainterBase::stabilizedFrames_
| protected

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/inpainting.hpp